IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
20e9::/16- First address
20e9::- Last address
20e9:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
20e9:0000:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
9.e.0.2.ip6.arpa
Split into smaller subnets
20e9::/16 makes 256 subnets of /24.
| # | Subnet | Last address |
|---|---|---|
| 1 | 20e9::/24 | 20e9:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 20e9:100::/24 | 20e9:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 20e9:200::/24 | 20e9:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 20e9:300::/24 | 20e9:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 20e9:400::/24 | 20e9:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 20e9:500::/24 | 20e9:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 20e9:600::/24 | 20e9:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 20e9:700::/24 | 20e9:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 20e9:800::/24 | 20e9:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 20e9:900::/24 | 20e9:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 20e9:a00::/24 | 20e9:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 20e9:b00::/24 | 20e9:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 20e9:c00::/24 | 20e9:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 20e9:d00::/24 | 20e9:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 20e9:e00::/24 | 20e9:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 20e9:f00::/24 | 20e9:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 20e9:1000::/24 | 20e9:10ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 20e9:1100::/24 | 20e9:11ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 20e9:1200::/24 | 20e9:12ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 20e9:1300::/24 | 20e9:13ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 20e9:1400::/24 | 20e9:14ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 20e9:1500::/24 | 20e9:15ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 20e9:1600::/24 | 20e9:16ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 20e9:1700::/24 | 20e9:17ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 20e9:1800::/24 | 20e9:18ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 20e9:1900::/24 | 20e9:19ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 20e9:1a00::/24 | 20e9:1aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 20e9:1b00::/24 | 20e9:1bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 20e9:1c00::/24 | 20e9:1cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 20e9:1d00::/24 | 20e9:1dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 20e9:1e00::/24 | 20e9:1eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 20e9:1f00::/24 | 20e9:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 20e9:2000::/24 | 20e9:20ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 20e9:2100::/24 | 20e9:21ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 20e9:2200::/24 | 20e9:22ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 20e9:2300::/24 | 20e9:23ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 20e9:2400::/24 | 20e9:24ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 20e9:2500::/24 | 20e9:25ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 20e9:2600::/24 | 20e9:26ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 20e9:2700::/24 | 20e9:27ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 20e9:2800::/24 | 20e9:28ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 20e9:2900::/24 | 20e9:29ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 20e9:2a00::/24 | 20e9:2aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 20e9:2b00::/24 | 20e9:2bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 20e9:2c00::/24 | 20e9:2cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 20e9:2d00::/24 | 20e9:2dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 20e9:2e00::/24 | 20e9:2eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 20e9:2f00::/24 | 20e9:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 20e9:3000::/24 | 20e9:30ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 20e9:3100::/24 | 20e9:31ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 20e9:3200::/24 | 20e9:32ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 20e9:3300::/24 | 20e9:33ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 20e9:3400::/24 | 20e9:34ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 20e9:3500::/24 | 20e9:35ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 20e9:3600::/24 | 20e9:36ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 20e9:3700::/24 | 20e9:37ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 20e9:3800::/24 | 20e9:38ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 20e9:3900::/24 | 20e9:39ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 20e9:3a00::/24 | 20e9:3aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 20e9:3b00::/24 | 20e9:3bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 20e9:3c00::/24 | 20e9:3cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 20e9:3d00::/24 | 20e9:3dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 20e9:3e00::/24 | 20e9:3eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 20e9:3f00::/24 | 20e9:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 20e9:4000::/24 | 20e9:40ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 20e9:4100::/24 | 20e9:41ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 20e9:4200::/24 | 20e9:42ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 20e9:4300::/24 | 20e9:43ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 20e9:4400::/24 | 20e9:44ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 20e9:4500::/24 | 20e9:45ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 20e9:4600::/24 | 20e9:46ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 20e9:4700::/24 | 20e9:47ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 20e9:4800::/24 | 20e9:48ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 20e9:4900::/24 | 20e9:49ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 20e9:4a00::/24 | 20e9:4aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 20e9:4b00::/24 | 20e9:4bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 20e9:4c00::/24 | 20e9:4cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 20e9:4d00::/24 | 20e9:4dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 20e9:4e00::/24 | 20e9:4eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 20e9:4f00::/24 | 20e9:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 20e9:5000::/24 | 20e9:50ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 20e9:5100::/24 | 20e9:51ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 20e9:5200::/24 | 20e9:52ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 20e9:5300::/24 | 20e9:53ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 20e9:5400::/24 | 20e9:54ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 20e9:5500::/24 | 20e9:55ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 20e9:5600::/24 | 20e9:56ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 20e9:5700::/24 | 20e9:57ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 20e9:5800::/24 | 20e9:58ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 20e9:5900::/24 | 20e9:59ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 20e9:5a00::/24 | 20e9:5aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 20e9:5b00::/24 | 20e9:5bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 20e9:5c00::/24 | 20e9:5cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 20e9:5d00::/24 | 20e9:5dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 20e9:5e00::/24 | 20e9:5eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 20e9:5f00::/24 | 20e9:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 20e9:6000::/24 | 20e9:60ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 20e9:6100::/24 | 20e9:61ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 20e9:6200::/24 | 20e9:62ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 20e9:6300::/24 | 20e9:63ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 20e9:6400::/24 | 20e9:64ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 20e9:6500::/24 | 20e9:65ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 20e9:6600::/24 | 20e9:66ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 20e9:6700::/24 | 20e9:67ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 20e9:6800::/24 | 20e9:68ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 20e9:6900::/24 | 20e9:69ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 20e9:6a00::/24 | 20e9:6aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 20e9:6b00::/24 | 20e9:6bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 20e9:6c00::/24 | 20e9:6cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 20e9:6d00::/24 | 20e9:6dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 20e9:6e00::/24 | 20e9:6eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 20e9:6f00::/24 | 20e9:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 20e9:7000::/24 | 20e9:70ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 20e9:7100::/24 | 20e9:71ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 20e9:7200::/24 | 20e9:72ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 20e9:7300::/24 | 20e9:73ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 20e9:7400::/24 | 20e9:74ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 20e9:7500::/24 | 20e9:75ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 20e9:7600::/24 | 20e9:76ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 20e9:7700::/24 | 20e9:77ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 20e9:7800::/24 | 20e9:78ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 20e9:7900::/24 | 20e9:79ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 20e9:7a00::/24 | 20e9:7aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 20e9:7b00::/24 | 20e9:7bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 20e9:7c00::/24 | 20e9:7cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 20e9:7d00::/24 | 20e9:7dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 20e9:7e00::/24 | 20e9:7eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 20e9:7f00::/24 | 20e9:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 20e9:8000::/24 | 20e9:80ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 20e9:8100::/24 | 20e9:81ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 20e9:8200::/24 | 20e9:82ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 20e9:8300::/24 | 20e9:83ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 20e9:8400::/24 | 20e9:84ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 20e9:8500::/24 | 20e9:85ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 20e9:8600::/24 | 20e9:86ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 20e9:8700::/24 | 20e9:87ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 20e9:8800::/24 | 20e9:88ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 20e9:8900::/24 | 20e9:89ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 20e9:8a00::/24 | 20e9:8aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 20e9:8b00::/24 | 20e9:8bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 20e9:8c00::/24 | 20e9:8cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 20e9:8d00::/24 | 20e9:8dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 20e9:8e00::/24 | 20e9:8eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 20e9:8f00::/24 | 20e9:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 20e9:9000::/24 | 20e9:90ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 20e9:9100::/24 | 20e9:91ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 20e9:9200::/24 | 20e9:92ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 20e9:9300::/24 | 20e9:93ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 20e9:9400::/24 | 20e9:94ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 20e9:9500::/24 | 20e9:95ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 20e9:9600::/24 | 20e9:96ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 20e9:9700::/24 | 20e9:97ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 20e9:9800::/24 | 20e9:98ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 20e9:9900::/24 | 20e9:99ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 20e9:9a00::/24 | 20e9:9aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 20e9:9b00::/24 | 20e9:9bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 20e9:9c00::/24 | 20e9:9cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 20e9:9d00::/24 | 20e9:9dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 20e9:9e00::/24 | 20e9:9eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 20e9:9f00::/24 | 20e9:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 20e9:a000::/24 | 20e9:a0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 20e9:a100::/24 | 20e9:a1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 20e9:a200::/24 | 20e9:a2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 20e9:a300::/24 | 20e9:a3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 20e9:a400::/24 | 20e9:a4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 20e9:a500::/24 | 20e9:a5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 20e9:a600::/24 | 20e9:a6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 20e9:a700::/24 | 20e9:a7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 20e9:a800::/24 | 20e9:a8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 20e9:a900::/24 | 20e9:a9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 20e9:aa00::/24 | 20e9:aaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 20e9:ab00::/24 | 20e9:abff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 20e9:ac00::/24 | 20e9:acff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 20e9:ad00::/24 | 20e9:adff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 20e9:ae00::/24 | 20e9:aeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 20e9:af00::/24 | 20e9:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 20e9:b000::/24 | 20e9:b0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 20e9:b100::/24 | 20e9:b1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 20e9:b200::/24 | 20e9:b2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 20e9:b300::/24 | 20e9:b3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 20e9:b400::/24 | 20e9:b4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 20e9:b500::/24 | 20e9:b5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 20e9:b600::/24 | 20e9:b6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 20e9:b700::/24 | 20e9:b7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 20e9:b800::/24 | 20e9:b8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 20e9:b900::/24 | 20e9:b9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 20e9:ba00::/24 | 20e9:baff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 20e9:bb00::/24 | 20e9:bbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 20e9:bc00::/24 | 20e9:bcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 20e9:bd00::/24 | 20e9:bdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 20e9:be00::/24 | 20e9:beff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 20e9:bf00::/24 | 20e9:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 20e9:c000::/24 | 20e9:c0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 20e9:c100::/24 | 20e9:c1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 20e9:c200::/24 | 20e9:c2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 20e9:c300::/24 | 20e9:c3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 20e9:c400::/24 | 20e9:c4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 20e9:c500::/24 | 20e9:c5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 20e9:c600::/24 | 20e9:c6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 20e9:c700::/24 | 20e9:c7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 20e9:c800::/24 | 20e9:c8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 20e9:c900::/24 | 20e9:c9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 20e9:ca00::/24 | 20e9:caff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 20e9:cb00::/24 | 20e9:cbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 20e9:cc00::/24 | 20e9:ccff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 20e9:cd00::/24 | 20e9:cdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 20e9:ce00::/24 | 20e9:ceff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 20e9:cf00::/24 | 20e9:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 20e9:d000::/24 | 20e9:d0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 20e9:d100::/24 | 20e9:d1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 20e9:d200::/24 | 20e9:d2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 20e9:d300::/24 | 20e9:d3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 20e9:d400::/24 | 20e9:d4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 20e9:d500::/24 | 20e9:d5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 20e9:d600::/24 | 20e9:d6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 20e9:d700::/24 | 20e9:d7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 20e9:d800::/24 | 20e9:d8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 20e9:d900::/24 | 20e9:d9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 20e9:da00::/24 | 20e9:daff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 20e9:db00::/24 | 20e9:dbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 20e9:dc00::/24 | 20e9:dcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 20e9:dd00::/24 | 20e9:ddff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 20e9:de00::/24 | 20e9:deff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 20e9:df00::/24 | 20e9:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 20e9:e000::/24 | 20e9:e0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 20e9:e100::/24 | 20e9:e1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 20e9:e200::/24 | 20e9:e2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 20e9:e300::/24 | 20e9:e3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 20e9:e400::/24 | 20e9:e4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 20e9:e500::/24 | 20e9:e5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 20e9:e600::/24 | 20e9:e6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 20e9:e700::/24 | 20e9:e7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 20e9:e800::/24 | 20e9:e8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 20e9:e900::/24 | 20e9:e9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 20e9:ea00::/24 | 20e9:eaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 20e9:eb00::/24 | 20e9:ebff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 20e9:ec00::/24 | 20e9:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 20e9:ed00::/24 | 20e9:edff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 20e9:ee00::/24 | 20e9:eeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 20e9:ef00::/24 | 20e9:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 20e9:f000::/24 | 20e9:f0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 20e9:f100::/24 | 20e9:f1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 20e9:f200::/24 | 20e9:f2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 20e9:f300::/24 | 20e9:f3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 20e9:f400::/24 | 20e9:f4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 20e9:f500::/24 | 20e9:f5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 20e9:f600::/24 | 20e9:f6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 20e9:f700::/24 | 20e9:f7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 20e9:f800::/24 | 20e9:f8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 20e9:f900::/24 | 20e9:f9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 20e9:fa00::/24 | 20e9:faff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 20e9:fb00::/24 | 20e9:fbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 20e9:fc00::/24 | 20e9:fcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 20e9:fd00::/24 | 20e9:fdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 20e9:fe00::/24 | 20e9:feff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 20e9:ff00::/24 | 20e9:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |